Bug 97011 - Kernel 2.4.20-18.9 and Kernel source 2.4.20-18.9 breaks Audigy sound card
Kernel 2.4.20-18.9 and Kernel source 2.4.20-18.9 breaks Audigy sound card
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: 97010 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-06-08 15:10 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-08 15:10:01 EDT
Description of problem:
I upgraded Kernel and kernel sources from linux-2.4.20-13.9 to linux-2.4.20-18.9
went to my emu10k1 directory ran make clean - make - make - make install - make
tools - make install-tools got no errors but sound which had been working with
the previous kernel no longer worked - a reboot produced a number of logged
errors - also after this upgrade Galeon freezes when I submit a form or attempt
a search 

Version-Release number of selected component (if applicable):

kernel 2.4.20-18.9 kernel source 2.4.20-18.9

How reproducible:

Every time with this kernel

Steps to Reproduce:
1. Upgrade kernel and sources from 2.4.20-13.9 to 2.4.20-18.9
2. Make clean and recompile emu10k1 Audigy drivers - comment out lines referring
to the sound and aumix in the modules.conf file reboot - install the drivers
3. Reboot look at /var/log/messages for errors
Actual results:
From /var/log/messages with lines commented out of modules.conf to see results
with lines uncommnented please refer to bug # 91489
modprobe: Can't locate module sound-slot-0
modprobe: Can't locate module sound-service-0-3

i8253 count too high! resetting..

these messages repeat dozens of times for each reboot

No sound and a popup that informs me that aumix could not be loaded
Expected results:

sound to work and no error messages as has been my experience with each kernel
until this one

Additional info:

91489 seems to refer to the same problem on a previous kernel 

I had to comment out all the audigy amd aumix lines from modules.conf to file
this report as submission of forms freezes Galeon (and Mozilla)
Comment 1 Arjan van de Ven 2003-06-08 15:12:28 EDT
"went to my emu10k1 directory"
does that mean it's not the driver we ship?

Comment 2 Alan Cox 2003-06-09 10:29:28 EDT
*** Bug 97010 has been marked as a duplicate of this bug. ***
Comment 3 Bugzilla owner 2004-09-30 11:41:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.